Bug 68132 - Lots of desktop preferences are not working
Lots of desktop preferences are not working
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-core (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-06 15:47 EDT by Bernd Bartmann
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-31 17:31:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2002-07-06 15:47:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
Lots of the desktop preference programs are not working. When I double click on
such an item in nautilus I only hear a beep but when config tool does not start.
This happens on: Arbeitspldtze, Aussehen, Fokusverhalten, Klang, Platzierung,
Sonstiges, Tastenk|rzel, Verkleinern und Vergrv_ern, Verschieben und verdndern,
Zusammenpassende Fenster. Also strange is that I have two entries called
Tastatur with same icon.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open nautilus and go to desktop prefences
2. Try to start all preference tools

Additional info:
Comment 1 Havoc Pennington 2002-07-06 18:17:21 EDT
Check ~/.xsession-errors for messages.

See if you have a process called "gnome-settings-daemon" running.
Comment 2 Bernd Bartmann 2002-07-06 18:43:58 EDT
gnome-settings-daemon is running.
These are the messages in .xsession-errors after I clicked on "Arbeitspldtze":

(process:3259): Gdk-WARNING **: locale not supported by Xlib

(process:3259): Gdk-WARNING **: can not set locale modifiers
error: can't connect to socket /tmp/.sawfish-root/deanna.bartdomain:0.0
*** Error: can't connect to sawfish on display, :0

As this error seems to be locale related, here is my /etc/sysconfig/i18n
(default after a fresh install with german as default language):

Comment 3 Havoc Pennington 2002-07-06 18:50:17 EDT
Are you sure @euro makes sense with UTF-8?
Comment 4 Bernd Bartmann 2002-07-06 19:05:20 EDT
Don't know. This was the default after a fresh install with german as my default
Comment 5 Nathan G. Grennan 2002-07-07 18:38:07 EDT
I would guess he is running metacity instead of sawfish. I found Gnome2
defaulted to metacity if both sawfish and metacity were installed. Which
resulted in most of the preference capplets not working, because they expected
Comment 6 matteo porta 2002-07-31 17:31:22 EDT
it happens to me too! i think the problem it's metacity:
some preferences tools expect sawfish to be installed...
Comment 7 Havoc Pennington 2002-07-31 18:20:14 EDT
Should be clearly marked as Sawfish now.

Note You need to log in before you can comment on or make changes to this bug.